@import 'colours';

.addButton,
.defaultButton,
.destroyButton {
    padding: .25rem .7rem;
    font-size: .9375rem;
    line-height: 1.5;
    border-radius: .2rem;
    border: 1px solid;
    text-decoration: none;

    i {
        padding-right: 5px;
    }

    &:hover {
        cursor: pointer;
    }
}

.addButton {
    border-color: $success-button-background;
    background-color: $success-button-background;
    color: $success-button-foreground;

    &:hover {
        background-color: $success-button-background-hover;
        border-color: $success-button-background-hover;
    }
}

.defaultButton {
    border-color: $default-button-background;
    background-color: $default-button-background;
    color: $default-button-foreground !important;

    &:hover {
        background-color: $default-button-background-hover;
        border-color: $default-button-background;
    }
}

.destroyButton {
    border-color: $destroy-button-background;
    background-color: $destroy-button-background;
    color: $destroy-button-foreground !important;

    &:hover {
        background-color: $destroy-button-background-hover;
        border-color: $destroy-button-background;
    }
}

.scaffold {

    form {
        background-color: #FFF;
        box-shadow: 0 2px 4px rgba(126, 142, 177, .12);
        border-radius: 2px;
        padding: 25px;

        .field {
            margin-bottom: 25px;

            label {
                display: inline-block;
                margin-bottom: 10px;
            }

            input[type='text'],
            input[type='password'],
            textarea {
                display: block;
                width: 95%;
                font-size: 16px;
                line-height: 1.5;
                border-radius: .3rem;
                font-weight: 400;
                color: #495057;
                padding-left: 5px;
                padding-left: 5px;
                padding-top: 3px;
                padding-bottom: 3px;
                background-color: #fff;
                background-clip: padding-box;
                border: 1px solid #ced4da;
            }

            .field_with_errors {
                label {
                    color: $error-red;
                }

                input[type='text'],
                input[type='password'],
                textarea {
                    border: 1px solid $error-red;
                }
            }

            .errorMessage {
                color: $error-red;
            }
        }
    }
}